Skip to content

Get organization details in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get organization details in batches

Method name

ManagementClient.get_organizations_batch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
organizationCodeListstring[]yes-Organization Code (organizationCode) list["code1","code2"]
withCustomDatabooleanno-Get custom datatrue
withPostbooleanno-Get department informationtrue
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: OrganizationListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "organizationName": "test",
    "description": "test Desc",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "openDepartmentId": "60b49eb83fd80adb96f26e68",
    "hasChildren": true,
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "membersCount": 150,
    "i18n": {
      "organizationName": {
        "zh-CN": {
          "enabled": false,
          "value": "中文"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "tenantId": "623c20b2a062aaaaf41b17da",
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data Structure

OrganizationDto

NameTypeIs it required?DescriptionSample value
organizationCodestringyesOrganization codesteamory
organizationNamestringyesOrganization namesteam memory
descriptionstringnoOrganization descriptionOrganization description
createdAtstringnoCreation time2022-07-03T03:20:30.000Z
updatedAtstringnoModification time2022-07-03T03:20:30.000Z
departmentIdstringyesRoot node ID60b49eb83fd80adb96f26e68
openDepartmentIdstringnoCustom ID of the root node60b49eb83fd80adb96f26e68
hasChildrenbooleanyesWhether to include child nodestrue
leaderUserIdsarraynoID of department leader["60b49eb83fd80adb96f26e68"]
membersCountnumberyesNumber of people in the department150
isVirtualNodebooleanyesWhether it is a virtual department
i18nNoMulti-language settings Nested type: <a OrganizationNameI18nDto.{"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
tenantIdstringNoTenant ID623c20b2a062aaaaf41b17da
postIdListarrayNoPost id list["xxx"]
statusstringNoStatusfalse
allowstringNoAccess restriction["xxx"]

OrganizationNameI18nDto

NameTypeIs this field required?DescriptionSample value
organizationNameYesMulti-language-supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

Agent infrastructure for identity, memory, and web action.